.upload_input {
    position: absolute;
    left: -9999px;
    visibility: hidden;
}

.cursor_pointer {
    cursor: pointer;
}

/* show, hide */
.hide {
    display: none !important;
}
.show {
    display: block !important;
}
.mobile_only {
    display: none !important;
}

@media screen and (max-width: 1200px) {
    .mobile_only {
        display: block !important;
    }
    .mobile_hide {
        display: none !important;
    }
}

/* margin, padding */
.m05 {
    margin: 5px;
}
.m10 {
    margin: 10px;
}
.m15 {
    margin: 15px;
}
.m20 {
    margin: 20px;
}
.m25 {
    margin: 25px;
}
.m30 {
    margin: 30px;
}
.mt05 {
    margin-top: 5px;
}
.mt10 {
    margin-top: 10px;
}
.mt15 {
    margin-top: 15px;
}
.mt20 {
    margin-top: 20px;
}
.mt25 {
    margin-top: 25px;
}
.mt30 {
    margin-top: 30px;
}
.mb05 {
    margin-bottom: 5px;
}
.mb10 {
    margin-bottom: 10px;
}
.mb15 {
    margin-bottom: 15px;
}
.mb20 {
    margin-bottom: 20px;
}
.mb25 {
    margin-bottom: 25px;
}
.mb30 {
    margin-bottom: 30px;
}
.mb40 {
    margin-bottom: 40px !important;
}
.ml05 {
    margin-left: 5px;
}
.ml10 {
    margin-left: 10px;
}
.ml15 {
    margin-left: 15px;
}
.ml20 {
    margin-left: 20px;
}
.ml25 {
    margin-left: 25px;
}
.ml30 {
    margin-left: 30px;
}
.mr05 {
    margin-right: 5px;
}
.mr10 {
    margin-right: 10px;
}
.mr15 {
    margin-right: 15px;
}
.mr20 {
    margin-right: 20px;
}
.mr25 {
    margin-right: 25px;
}
.mr30 {
    margin-right: 30px;
}
.p05 {
    padding: 5px;
}
.p10 {
    padding: 10px;
}
.p15 {
    padding: 15px;
}
.p20 {
    padding: 20px;
}
.p25 {
    padding: 25px;
}
.p30 {
    padding: 30px;
}
.pt05 {
    padding-top: 5px;
}
.pt10 {
    padding-top: 10px;
}
.pt15 {
    padding-top: 15px;
}
.pt20 {
    padding-top: 20px;
}
.pt25 {
    padding-top: 25px;
}
.pt30 {
    padding-top: 30px;
}
.pb05 {
    padding-bottom: 5px;
}
.pb10 {
    padding-bottom: 10px;
}
.pb15 {
    padding-bottom: 15px;
}
.pb20 {
    padding-bottom: 20px;
}
.pb25 {
    padding-bottom: 25px;
}
.pb30 {
    padding-bottom: 30px;
}
.pl05 {
    padding-left: 5px;
}
.pl10 {
    padding-left: 10px;
}
.pl15 {
    padding-left: 15px;
}
.pl20 {
    padding-left: 20px;
}
.pl25 {
    padding-left: 25px;
}
.pl30 {
    padding-left: 30px;
}
.pr05 {
    padding-right: 5px;
}
.pr10 {
    padding-right: 10px;
}
.pr15 {
    padding-right: 15px;
}
.pr20 {
    padding-right: 20px;
}
.pr25 {
    padding-right: 25px;
}
.pr30 {
    padding-right: 30px;
}

/* badge */
.badge {
    display: inline-block;
    min-width: 90px;
    width: fit-content;
    padding: 0 12px;
    border-radius: 50px;
    font-size: 14px;
    font-weight: 400;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.badge_blue {
    background: #dce6ff;
    color: #003cc7;
}
.badge_gray {
    background: #eee;
    color: #666;
}
.badge_green {
    background: #d9fbd0;
    color: #1c6c09;
}
.badge_sky {
    background: #c7ebff;
    color: #005585;
}
.badge_yellow {
    background: #ffefca;
    color: #bc3803;
}
.badge_red {
    background: #ffe0db;
    color: #b81800;
}
.badge_purple {
    background: #f0dcf4;
    color: #8123a3;
}

/* button */
.btn {
    min-width: 160px;
    width: fit-content;
    height: 56px;
    padding: 0 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    background: transparent;
    border-radius: 8px;
    font-size: 18px;
    font-weight: 600;
}
.btn:hover {
    box-shadow: 0 0 10px 0 #00000010;
}
.btn_sm {
    min-width: fit-content;
    height: 40px;
}
.btn:disabled {
    opacity: 0.5;
    cursor: inherit;
}
.btn_blue {
    background: #257ff4;
    color: #fff;
}
.btn_gray {
    background: #7e7e7e;
    color: #fff;
}
.btn_green {
    background: #2ecc7d;
    color: #fff;
}
.btn_sky {
    background: #4ec0e9;
    color: #fff;
}
.btn_yellow {
    background: #ffc42f;
    color: #fff;
}
.btn_red {
    background: #ff154d;
    color: #fff;
}
.btn_light {
    background: #fff;
    border: 1px solid #ccc;
    color: #333;
}
.btn_dark {
    background: #555;
    color: #fff;
}
.btn_outline_dark {
    background: #fff;
    border: 1px solid #555;
    color: #555;
}
.btn_outline_blue {
    background: #fff;
    border: 1px solid #257ff4;
    color: #257ff4;
}
.btn_outline_gray {
    background: #fff;
    border: 1px solid #cdd2da;
    color: #cdd2da;
}
.btn_outline_green {
    background: #fff;
    border: 1px solid #2ecc7d;
    color: #2ecc7d;
}
.btn_outline_sky {
    background: #fff;
    border: 1px solid #4ec0e9;
    color: #4ec0e9;
}
.btn_outline_yellow {
    background: #fff;
    border: 1px solid #ffc42f;
    color: #ffc42f;
}
.btn_outline_red {
    background: #fff;
    border: 1px solid #ff154d;
    color: #ff154d;
}
.btn_soft_red {
    background: #ffe8ed;
    color: #ea394d;
}
.btn_main_color {
    background: #71a0e8 !important;
    color: #fff !important;
}

@media screen and (max-width: 1040px) {
    .btn {
        height: 48px;
    }
}
/* typography */
.text_left {
    text-align: left;
}
.text_center {
    text-align: center;
}
.text_right {
    text-align: right;
}

/* check */
.checks input[type="checkbox"] {
    display: none;
}
.checks input[type="checkbox"] + label {
    position: relative;
    display: inline-block;
    cursor: pointer;
    padding-left: 32px;
    line-height: 24px;
}
.checks input[type="checkbox"] + label::before {
    position: absolute;
    top: 0;
    left: 0;
    width: 24px;
    height: 24px;
    content: "";
    background: #fff;
    border: 1px solid #d3d3d3;
    border-radius: 4px;
}
.checks input[type="checkbox"]:checked + label::before {
    background: #ff154d;
    border: 1px solid #ff154d;
}
.checks input[type="checkbox"]:checked + label:after {
    position: absolute;
    top: 0;
    left: 0;
    content: "\f00c";
    color: #fff;
    font-family: "Font Awesome 6 Free";
    font-size: 16px;
    font-weight: 900;
    width: 24px;
    height: 24px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.checks input[type="checkbox"]:disabled + label {
    cursor: default;
    pointer-events: none;
    opacity: 0.5;
}
.checks input[type="checkbox"]:disabled + label::before {
    opacity: 0.9;
}
.checks input[type="checkbox"]:disabled:checked + label::before {
    opacity: 0.7;
}
.checks input[type="checkbox"]:disabled:checked + label:after {
    opacity: 0.7;
}

/* select */
.select_wrap {
    position: relative;
    border-radius: 4px;
    width: fit-content;
}
.select_wrap img {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 16px;
}
.select_wrap:has(select:disabled) {
    background: #f5f5f5;
}
.select_wrap:has(select:disabled) select {
    color: #aaa;
}
.select_wrap select {
    border: 1px solid #ccc;
    border-radius: 8px;
    height: 44px;
    padding-left: 20px;
    width: 128px;
}
@media screen and (max-width: 1040px) {
    .select_wrap select {
        width: 96px;
    }
}

/* radio */
.radios input[type="radio"] {
    display: none;
}
.radios input[type="radio"] + label {
    position: relative;
    display: inline-block;
    cursor: pointer;
    padding-left: 32px;
    line-height: 24px;
}
.radios input[type="radio"] + label::before {
    position: absolute;
    top: 0;
    left: 0;
    width: 24px;
    height: 24px;
    content: "";
    background: #fff;
    border: 1px solid #d3d3d3;
    border-radius: 50%;
}
.radios input[type="radio"]:checked + label::before {
    background: #ff154d;
    border: 1px solid #ff154d;
}
.radios input[type="radio"]:checked + label:after {
    content: "";
    position: absolute;
    top: 7px;
    left: 7px;
    width: 10px;
    height: 10px;
    background: #fff;
    border-radius: 50%;
}
.radios input[type="radio"]:disabled + label {
    cursor: default;
    pointer-events: none;
    opacity: 0.5;
}
.radios input[type="radio"]:disabled:checked + label::before {
    opacity: 0.9;
}
.radios input[type="radio"]:disabled:checked + label:after {
    opacity: 0.7;
}

/* switch */
.switchs {
    position: relative;
    display: flex;
    align-items: center;
    height: 24px;
}
.switchs input[type="checkbox"] {
    display: none;
}
.switchs input[type="checkbox"] + label {
    position: relative;
    cursor: pointer;
    padding-left: 52px;
    height: 24px;
    font-size: 14px;
    display: flex;
    align-items: center;
}
.switchs_text_none input[type="checkbox"] + label {
    padding-left: 44px;
}
.switchs input[type="checkbox"] + label:before {
    position: absolute;
    top: 0;
    left: 0;
    width: 44px;
    height: 24px;
    content: "";
    background: #ccc;
    border-radius: 50px;
}
.switchs input[type="checkbox"] + label:after {
    position: absolute;
    top: 3px;
    left: 3px;
    width: 18px;
    height: 18px;
    content: "";
    border-radius: 50px;
    transition: transform 0.3s ease, opacity 0.2s ease, background 0.2s ease;
    background: #fff;
}
.switchs input[type="checkbox"]:checked + label:before {
    background: #ff154d;
}
.switchs input[type="checkbox"]:checked + label:after {
    right: 3px;
    transform: translateX(20px) scale(1);
}
.switchs input[type="checkbox"]:disabled:checked + label:before {
    opacity: 0.3;
}
.switchs input[type="checkbox"]:disabled:checked + label:after {
    opacity: 0.5;
}
.switchs input[type="checkbox"]:disabled + label:before {
    opacity: 0.3;
}
.switchs input[type="checkbox"]:disabled + label:after {
    opacity: 0.5;
}
.switchs input[type="checkbox"]:disabled + label {
    cursor: default;
    pointer-events: none;
    color: #999;
}

/* loading */
.loading_area {
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: 0;
    z-index: 9999;
}

.loading_area .loading_box {
    position: relative;
    width: 100%;
    height: 100%;
}

.loading_area .loading_box img {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* modal */
.modal_wrap {
    position: fixed;
    z-index: 200;
    top: 0;
    left: 0;
    display: flex !important;
    visibility: hidden;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    opacity: 0;
    transition: opacity 0.3s ease-out;
}
.modal_wrap.show {
    visibility: visible;
    opacity: 1;
}

.modal_wrap .overlay {
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.modal_content {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
    transform: translate(-50%, -50%);
    background: #fff;
    border-radius: 20px;
    max-height: 90%;
    overflow: hidden;
    box-shadow: 0px 3px 9px 0 rgba(0, 0, 0, 0.18);
}
.modal_content.modal_sm {
    max-width: 400px;
}
.modal_content.modal_md {
    max-width: 600px;
}
.modal_content.modal_lg {
    max-width: 900px;
}
.modal_content.modal_xl {
    max-width: 1200px;
}

.modal_header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 30px 30px 20px 30px;
}
.modal_header .modal_title {
    font-size: 24px;
    font-weight: 700;
}
.modal_header .btn {
    padding: 0;
    min-width: 22px;
    height: 22px;
}
.modal_header .btn i {
    font-size: 22px;
}

.modal_body {
    max-height: calc(100vh - 284px);
    overflow: auto;
    padding: 10px 30px;
}
.modal_body::-webkit-scrollbar {
    width: 4px;
}
.modal_body::-webkit-scrollbar-thumb {
    background: #aaa;
}
.modal_btn_none_body {
    padding-bottom: 30px;
}

.modal_footer {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 20px 30px 30px 30px;
}

/* alert */
.modal_alert {
    padding: 20px 32px 24px;
    max-width: 480px !important;
    background: #fff;
    border-radius: 20px;
    max-height: fit-content;
    height: auto;
}
.modal_alert.info {
    border: 2px solid #c6c6c6;
}
.modal_alert.success {
    border: 2px solid #acf7bc;
}
.modal_alert.warning {
    border: 2px solid #ffe79d;
}
.modal_alert.error {
    border: 2px solid #ffd1d0;
}
.modal_alert.question {
    border: 2px solid #cbbffc;
}
.modal_alert .modal_body {
    display: flex;
    flex-direction: column;
    padding: 0;
    max-height: fit-content;
    height: auto;
}
.modal_alert .modal_body p {
    font-size: 15px;
}
.modal_alert .modal_body img {
    display: block;
    width: 32px;
    height: 32px;
    margin-bottom: 12px;
}
.modal_alert .modal_footer {
    padding: 0;
    margin-top: 24px;
    justify-content: flex-end;
}
.modal_alert .modal_footer .btn {
    min-width: 80px;
    height: 32px;
    border-radius: 4px;
    font-size: 14px;
    width: auto;
}

/* ck editor */
.ck.ck-editor {
    width: 100% !important;
}
.ck.ck-editor__main > .ck-read-only {
    border: 0 !important;
    padding: 0 !important;
}
.ck.ck-editor__editable.ck-focused:not(.ck-editor__nested-editable) {
    border: 1px solid #ccced1 !important;
    box-shadow: none !important;
}
.ck.ck-editor__main > .ck-read-only.ck-focused:not(.ck-editor__nested-editable) {
    border: transparent !important;
}
.ck.ck-editor__main > .ck-read-only.ck-editor__editable_inline > :first-child {
    margin-top: 0 !important;
}
.ck.ck-editor__main > .ck-read-only.ck-editor__editable_inline > :last-child {
    margin-bottom: 0 !important;
}
.image img {
    display: block;
    width: 100%;
}
.ck-read-only.ck-editor__editable_inline {
    min-height: auto !important;
}
.ck-editor__editable_inline {
    min-height: 300px;
    padding: 0 16px !important;
}
.ck-editor__editable_inline p {
    font-size: 15px !important;
}
.ck .ck-link_selected {
    background: transparent !important;
    color: #444;
}
.ck .ck-link_selected:hover {
    text-decoration: underline;
}
.ck.ck-link-actions .ck-button.ck-link-actions__preview .ck-button__label {
    color: #444 !important;
    font-family: "pretendard", "맑은 고딕", "돋움", Dotum, Arial, sans-serif !important;
    font-weight: 500 !important;
}
.ck.ck-editor p,
.ck.ck-editor span {
    word-break: break-all !important;
}
